<template>
  <div class="row center center summ">
    <form id="goYandexForm" ref="goYandexForm" name="goYandexForm" :action="payData.url" method="post" target="Map" style="margin:0;">
      <input name="shopId" :value="payData.shopId" type="hidden">
      <input name="sum" :value="payData.sum" type="hidden">
      <input name="scid" :value="payData.scid" type="hidden">
      <input name="customerNumber" :value="payData.customerNumber" type="hidden">
      <input name="orderNumber" :value="payData.orderNumber" type="hidden">
      <input name="paymentType" :value="payData.paymentType" type="hidden">
    </form>

    <sum-and-order v-model="sum" @hideForm="$emit('hideForm')" :text="'Оплата через Яндекс деньги'" style="text-align: left"/>

    <additional-services @hideForm="$emit('hideForm')"
                         :sum="sum"
                         :blocker="blocker"
                         @click="click"
    ></additional-services>

  </div>
</template>

<script>
  import Vue from 'vue'
  import SumAndOrder from '@/components/Pay/SumAndOrder'
  import {errorRepay} from '@/utils/error/repay'
  import AdditionalServices from '@/components/Chunks/AdditionalServices'

  export default {
    name: 'YandexWallet',
    components: {SumAndOrder, AdditionalServices},
    props: {
      SumToPay: {
        type: Number,
        default: 0
      }
    },
    data () {
      return {
        sum: this.SumToPay,
        payData: {}
      }
    },
    computed: {
      blocker () {
        return false
      }
    },
    methods: {
      async click () {
        window.open('about:blank', 'Map', 'status=0,title=0,height=600,width=800,scrollbars=1')
        const {data} = await this.$store.dispatch('getLinkToPayWithMainMethods', {
          payMethod: 'yandex',
          sum: this.sum,
          type: 1
        }).catch(error => errorRepay(error.errors[0].code, this.$store))

        this.payData = data.data
        await Vue.nextTick()
        this.$refs.goYandexForm.submit()
      }
    },
    mounted () {
      this.$store.dispatch('getPaymentParams', {SumToPay: this.SumToPay, paymentMehtod: 'yandex'})
    }
  }
</script>

<style scoped lang="scss">
  .summ {
    input {
      height: 50px;
      max-width: 300px
    }
    p {
      font-size: 18px
    }
  }
</style>

